{% if not lightbox %}
  {% set uid = new_uid('embed-video') %}
{% endif %}

<div id="{{uid}}">
  <div 
  {% if not lightbox %}
    data-plyr-provider="{{attrs.providerNameSlug}}" 
    data-plyr-embed-id="{{id}}" 
    js-component="embed-video"
  {% else %}
    :data-plyr-provider="cell.provider" 
    :data-plyr-embed-id="cell.id" 
    lightbox-js-component="embed-video"
  {% endif %}
  class="embed-video"
  allowfullscreen="false"
  >
  </div>
</div>

{% if not lightbox %}
<div class="embed-video__fullscreen" 
  data-lightbox-single='{"uid":"{{uid}}","type":"video","provider":"{{attrs.providerNameSlug}}","id":"{{id}}"}'>
  {{source('fullscreen.svg')}}
</div>

<div class="embed-video__preload-images"></div>
{% endif %}